---
lang: en
title: 'API docs: tsdocs.shouldgeneratetsdocs'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/tsdocs
permalink: /doc/en/lb4/apidocs.tsdocs.shouldgeneratetsdocs.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/tsdocs](./tsdocs.md) &gt; [shouldGenerateTsDocs](./tsdocs.shouldgeneratetsdocs.md)

## shouldGenerateTsDocs() function

Check if a package should be processed for tsdocs

**Signature:**

```typescript
export declare function shouldGenerateTsDocs(pkg: LernaPackage): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

pkg


</td><td>

[LernaPackage](./tsdocs.lernapackage.md)


</td><td>

Lerna package


</td></tr>
</tbody></table>

**Returns:**

boolean


